Subject: Re: NAPI, e100, and system performance problem

From: Greg Banks <[email-masked]>
Date: Tue, 19 Apr 2005 15:55:35 +1000

On Mon, Apr 18, 2005 at 04:26:07PM -0400, jamal wrote:
> On Mon, 2005-18-04 at 09:55 -0700, Arthur Kepner wrote:
> > I'll just chime in to say that I've seen similar behavior,
> > (but with a very different system.)
> 
> It would _help_ a great deal if people collect data and post.
> What was this other system? Was it running e100 as well? etc etc

http://marc.theaimsgroup.com/?l=linux-netdev&m=107183822710263&w=2

> > The problem with NAPI is (quoting a co-worker) that it
> > relies on an "accident of timing".
> > 
> 
> geez, that almost sounds like an insult. spank your coworker for me with
> something sharp (i hope s/he doesnt enjoy it)

No, thank you.  Maybe next time.

> How do you recognize when system resources are being poorly utilized?

An inordinate amount of CPU is being spent running around polling the
device instead of dealing with the packets in IP, TCP and NFS land.
By inordinate, we mean twice as much or more cpu% than a MIPS/Irix
box with slower CPUs.

Greg.
-- 
Greg Banks, R&D Software Engineer, SGI Australian Software Group.
I don't speak for SGI.